/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package consultation

import (
	e "simrs-vx/internal/domain/main-entities/consultation"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Consultation) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Date = inputSrc.Date
	data.Problem = inputSrc.Problem
	data.DstUnit_Code = inputSrc.DstUnit_Code
}
